DROP ACCESS METHOD(7)

NAME
DROP_ACCESS_METHOD - remove an access method

SYNOPSIS

DROP ACCESS METHOD [ IF EXISTS ] name [ CASCADE | RESTRICT ]

DESCRIPTION

DROP ACCESS METHOD removes an existing access method. Only superusers can drop access methods.

PARAMETERS

IF EXISTS
    Do not throw an error if the access method does not exist. A notice is issued in this case.

name
    The name of an existing access method.

CASCADE
    Automatically drop objects that depend on the access method (such as operator classes, operator families, and indexes), and in turn all objects that depend on those objects (see Section 5.15).

RESTRICT
    Refuse to drop the access method if any objects depend on it. This is the default.

EXAMPLES

Drop the access method heptree:

    DROP ACCESS METHOD heptree;

COMPATIBILITY

DROP ACCESS METHOD is a PostgreSQL extension.

SEE ALSO
CREATE ACCESS METHOD (CREATE_ACCESS_METHOD(7))